Description

I'm trying to use the {{collapse}} macro in a Redmine instance configured for Markdown formatting, with a custom text that contains a

comma for the link:

{{collapse(This is a long sentence, separated by commas into multiple subclauses:) 

test 

}}

 Unfortunately when this is rendered, everything after the comma is cut off:

This is a long sentenceseparated by commas into multiple subclauses:

test

Without commas it works:

This is a long sentence separated by commas into multiple subclauses:This is a long sentence separated by commas into multiple

subclauses:

test

This is an unfortunate limitation because my native language is German which uses the comma much more than English, and this

forces me to write grammatically incorrect sentences.

Related issues:

Related to Redmine - Patch #40014: Add support for quoted arguments containin... Closed

History

#1 - 2024-08-15 09:03 - Go MAEDA

- Related to Patch #40014: Add support for quoted arguments containing commas in wiki macros added

#2 - 2024-08-15 10:14 - Go MAEDA

- Status changed from New to Confirmed

#3 - 2024-08-20 04:17 - Go MAEDA

- Category changed from Issues to Text formatting

- Status changed from Confirmed to Closed

- Resolution set to Fixed

The fix for this issue was implemented in #41153 for the upcoming Redmine 6.0.0 release.

You will be able to use double quotation marks as follows:

{{collapse("This is a long sentence, separated by commas into multiple subclasses:") 

... 

}}

 Thank you for reporting this issue.
#4 - 2024-08-20 14:01 - Martin von Wittich

Go MAEDA wrote in #note-3:

The fix for this issue was implemented in #41153 for the upcoming Redmine 6.0.0 release.

You will be able to use double quotation marks as follows:

[...]

Thank you for reporting this issue.

 Thank you for fixing it :)
